package com.sunxung.factoring.entity.salescontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.project.Project;
import com.sunxung.factoring.entity.sys.Dictionary;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description : 销售合同管理表
 * @Author : L.Jia
 * @Date: 2021-09-03 11:00
 */
@TableName("c_sales_contract_management")
public class CSalesContract extends Project {

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 贸易平台Id
     */
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    /**
     * 合同状态
     */
    @TableField("contract_status")
    private String contractStatus;

    /**
     * 是否发生变更标识、默认为否
     */
    @TableField("is_change")
    private Boolean modify;

    /**
     * 是否已做采购合同，0:否 1:是
     */
    @TableField("purch")
    private Integer purch;

    @TableField(exist = false)
    private String taskId;

    /**
     * C端文件id
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    @TableField(exist = false)
    private String contractNumber;


    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public Boolean getModify() {
        return modify;
    }

    public void setModify(Boolean modify) {
        this.modify = modify;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getPurch() {
        return purch;
    }

    public void setPurch(Integer purch) {
        this.purch = purch;
    }
}
